public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexander Puck Neuwirth" <alexander@neuwirth-informatik.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: net-im/zulip-desktop-bin/
Date: Sun, 30 Mar 2025 09:11:41 +0000 (UTC)	[thread overview]
Message-ID: <1743325817.b8dd3ddae2e70e0ccd868bcb6c66184f8747eaa1.alexander@gentoo> (raw)

commit:     b8dd3ddae2e70e0ccd868bcb6c66184f8747eaa1
Author:     Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT> de>
AuthorDate: Sun Mar 30 09:09:06 2025 +0000
Commit:     Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT> de>
CommitDate: Sun Mar 30 09:10:17 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b8dd3dda

net-im/zulip-desktop-bin: add 5.12.0

Signed-off-by: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik.de>

 .../zulip-desktop-bin-5.12.0.ebuild                | 99 ++++++++++++++++++++++
 1 file changed, 99 insertions(+)

diff --git a/net-im/zulip-desktop-bin/zulip-desktop-bin-5.12.0.ebuild b/net-im/zulip-desktop-bin/zulip-desktop-bin-5.12.0.ebuild
new file mode 100644
index 000000000..46f80ae78
--- /dev/null
+++ b/net-im/zulip-desktop-bin/zulip-desktop-bin-5.12.0.ebuild
@@ -0,0 +1,99 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHROMIUM_LANGS="
+	af am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu he hi
+	hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv
+	sw ta te th tr uk ur vi zh-CN zh-TW
+"
+
+inherit chromium-2 desktop unpacker xdg
+
+DESCRIPTION="Organized chat for distributed teams."
+HOMEPAGE="https://zulip.com/"
+SRC_URI="
+	amd64? ( https://download.zulip.com/desktop/apt/pool/main/z/zulip/Zulip-5.11.1-amd64.deb )
+"
+
+S="${WORKDIR}"
+
+LICENSE="
+	MIT BSD BSD-2 BSD-4 AFL-2.1 Apache-2.0 Ms-PL GPL-2 LGPL-2.1 APSL-2
+	unRAR OFL-1.1 CC-BY-SA-3.0 MPL-2.0 android public-domain all-rights-reserved
+"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+RESTRICT="bindist mirror"
+
+RDEPEND="
+	>=app-accessibility/at-spi2-core-2.46.0:2
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	dev-libs/nss
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	sys-libs/glibc
+	x11-libs/cairo
+	x11-libs/gtk+:3
+	x11-libs/libdrm
+	x11-libs/libX11
+	x11-libs/libxcb
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libxkbcommon
+	x11-libs/libXrandr
+	x11-libs/pango
+"
+
+QA_PREBUILT="opt/Zulip/*"
+
+pkg_pretend() {
+	chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+	default
+	# cleanup languages
+	pushd "opt/Zulip/locales" || die
+	chromium_remove_language_paks
+	popd || die
+}
+
+src_configure() {
+	chromium_suid_sandbox_check_kernel_config
+	default
+}
+
+src_install() {
+	for size in {16,32,64,128,512,1024}; do
+		doicon -s ${size} "usr/share/icons/hicolor/${size}x${size}/apps/zulip.png"
+	done
+
+	domenu usr/share/applications/zulip.desktop
+
+	local DESTDIR="/opt/Zulip"
+	pushd "opt/Zulip" || die
+
+	exeinto "${DESTDIR}"
+	doexe chrome-sandbox chrome_crashpad_handler zulip *.so*
+
+	insinto "${DESTDIR}"
+	doins *.pak *.bin *.json *.dat
+	insopts -m0755
+	doins -r locales resources
+
+	# Chrome-sandbox requires the setuid bit to be specifically set.
+	# see https://github.com/electron/electron/issues/17972
+	fperms 4755 "${DESTDIR}"/chrome-sandbox
+
+	dosym "${DESTDIR}"/zulip /opt/bin/zulip
+	popd || die
+}


             reply	other threads:[~2025-03-30  9:11 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-03-30  9:11 Alexander Puck Neuwirth [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-01  8:43 [gentoo-commits] repo/proj/guru:dev commit in: net-im/zulip-desktop-bin/ Alexander Puck Neuwirth
2025-03-31  9:40 Alexander Puck Neuwirth
2025-03-10 14:40 Alexander Puck Neuwirth

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1743325817.b8dd3ddae2e70e0ccd868bcb6c66184f8747eaa1.alexander@gentoo \
    --to=alexander@neuwirth-informatik.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox